#### D.2.11.22 hasAlgExtensionCoefficient

Procedure from library `ring.lib` (see ring_lib).

Usage:
  hasAlgExtensionCoefficient ( rng );

Return:
  1 if the coeffcients are an gelebrai extension, 0 otherwise.

Example:

    LIB "ring.lib";
    ring rng = integer,x,dp;
    hasAlgExtensionCoefficient(rng); //no
    ==> 0
    ring rng2 = (0,a), x, dp; minpoly=a2-1;
    hasAlgExtensionCoefficient(rng2);  // yes
    ==> 1

User manual for Singular version 4-0-3, 2016, generated by texi2html.